Name:           sugar-jukebox-activity
Version:        36
Release:        %mkrel 3
Summary:        Audio and video player for Sugar
License:        GPLv2
Group:          Graphical desktop/Other
Url:            https://sugarlabs.org/
Source:         https://download.sugarlabs.org/sources/sucrose/fructose/Jukebox/Jukebox-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  sugar-toolkit-gtk3
Requires:       sugar-toolkit-gtk3
Requires:       python3-gobject3

%description
Audio and video player for Sugar.

%prep
%setup -q -n Jukebox-%{version}

%build
%__python3 setup.py build

%install
%__python3 setup.py install --prefix=%{buildroot}%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.sugar.Jukebox

%files -f org.laptop.sugar.Jukebox.lang
%doc AUTHORS NEWS TODO
%license COPYING
%{_datadir}/applications/org.laptop.sugar.Jukebox.activity.desktop
%{_datadir}/sugar/activities/*


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 36-3.mga9
+ Revision: 1841634
- Mageia 9 Mass Rebuild

* Sat Dec 12 2020 wally <wally> 36-2.mga8
+ Revision: 1655849
- drop buildroot definition from .desktop files
- drop unneeded files
+ danf <danf>
- Switch URLs from http: to https:

* Tue Mar 03 2020 zezinho <zezinho> 36-1.mga8
+ Revision: 1553556
- new version
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 wally <wally> 35-1.mga8
+ Revision: 1456385
- new version 35
- switch to python3

* Wed Mar 13 2019 wally <wally> 34-1.mga7
+ Revision: 1375581
- new version 34
- require sugar-toolkit-gtk3

* Fri Sep 21 2018 umeabot <umeabot> 33-2.mga7
+ Revision: 1291721
- Mageia 7 Mass Rebuild

* Wed Jan 31 2018 daviddavid <daviddavid> 33-1.mga7
+ Revision: 1198188
- new version: 33
- switch to Gstreamer 1.0

* Fri Jun 09 2017 akien <akien> 32-5.mga6
+ Revision: 1107398
- Add desktop file

* Mon Feb 01 2016 umeabot <umeabot> 32-4.mga6
+ Revision: 930678
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 32-3.mga5
+ Revision: 744557
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 32-2.mga5
+ Revision: 689593
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 32-1.mga5
+ Revision: 627345
- new version

* Sat Nov 02 2013 fwang <fwang> 29-4.mga4
+ Revision: 549000
- add requires on python-gi

* Fri Oct 18 2013 umeabot <umeabot> 29-3.mga4
+ Revision: 519415
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 29-2.mga3
+ Revision: 383657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 zezinho <zezinho> 29-1.mga3
+ Revision: 326176
- fix build requires
- new version

* Sat Nov 19 2011 zezinho <zezinho> 23-1.mga2
+ Revision: 169522
- new version
+ ennael <ennael>
- imported package sugar-jukebox-activity


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 18-2mdv2011.0
+ Revision: 615035
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Aleksey Lim <alsroot@mandriva.org> 18-1mdv2010.1
+ Revision: 531089
- Sucrose 0.88.0 release

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 11-1mdv2010.0
+ Revision: 414902
- Sucrose 0.85.2

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 8-1mdv2009.1
+ Revision: 364289
- Sucrose 0.84.2 release

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 7-1mdv2009.1
+ Revision: 348319
- Sucrose 0.84.0 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 6-1mdv2009.1
+ Revision: 328407
- initial commit

